Subject: Re: bug#3598: 23.0.94; doc string of frame-root-window

From: martin rudalics <[email-masked]>
Date: Thu, 18 Jun 2009 12:07:25 +0200

> Doc string:
 > Returns the root-window of frame.
 >
 > 1. "root-window" should be "root window".
 >
 > 2. Root window needs to be explained - what is it?
 >
 > With no explanation, this doc string says nothing at all:
 > "`frame-root-window' returns the frame's root window". Gee thanks a
 > lot! `thrinblat-oag-plaz' returns the thrinblat's oag plaz.
 >
 > 3. And the manual's don't help - `frame-root-window' is not mentioned.

IIUC `frame-root-window' was deliberately never described because up to
Emacs 22 it was not always safe to call Lisp functions with an internal
window as argument.  So I think this function was intended for internal
use only.

martin